using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace NawigationStyleApplication
{
    /// <summary>
    /// Interaction logic for MainPage.xaml
    /// </summary>
    public partial class MainPage : Page
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            this.NavigationService.Navigate(new Uri("Page2.xaml", UriKind.Relative));
        }

        private void buttonBackward_Click(object sender, RoutedEventArgs e)
        {
            this.NavigationService.GoBack();
        }

        private void buttonForward_Click(object sender, RoutedEventArgs e)
        {
            this.NavigationService.GoForward();
        }

        private void buttonPage1_Click(object sender, RoutedEventArgs e)
        {
            Page1 nextPage = new Page1();
            this.NavigationService.Navigate(nextPage);
        }

        private void buttonPage2_Click(object sender, RoutedEventArgs e)
        {
            Page2 nextPage = new Page2();
            this.NavigationService.Navigate(nextPage);
        }


        

    }
}
